Bug 433602 - (ocal-improvements) Open Clip Art Library possible improvements
Open Clip Art Library possible improvements
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openclipart (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
: Triaged
Depends On: openclipart-review
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-20 04:42 EST by Jay Turner
Modified: 2015-01-07 19:16 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:13:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2008-02-20 04:42:54 EST
Cleaned up comments that were related to packaging.
Let the discussion continue here:

+++ This bug was initially created as a clone of Bug #432965 +++

Nicu: You're involved with Open Clipart and therefore adding you to Cc: since I
believe you can answer some questions and provide valuable comments.

While I believe the package to be compilant with the guidelines and therefore
good enough to become part of Fedora now, it might need some changes and
improvements in future:

1.) Upstream release is old. What would be the best way to keep the package up
to date -- is there a public cvs that snapshots could be grabbed from? Nicu: Any
information on new upstream release that is being worked on?

2.) Do we need a PNGs (presumably in separate subpackage) as some other
distributors do? I don't believe so, but second opinion is welcomed.

3.) Integration. Would integration to gtk file open dialog be sufficient? Can it
be done with a gnome VFS module? Is there a simpler way even, such as
system-wide gtk-bookmarks?

4.) Which tools have to integrate well? Inkscape. OpenOffice.org. Some others?

-- Additional comment from nicubunu@gmail.com on 2008-02-15 10:35 EST --
Yeah, I am *almost* a founder of OCAL and one of the top content creators,
thanks for adding me.

There is a long story, so please bear with me: at first we started OCAL without
any infrastructure, only a form where people can upload their contribution, so
the only way to share the content was monthly tarball releases. Then we got a
browsing interface, where was possible to access the images included in the
latest release, with newer uploads kept in an "incoming" area and included only
at the next release.
The 0.18 release (October 2005) was the last using this system, the interface
broke and we didn't have the developers available to fix it, the website went on
hiatus for several months. We tried a 0.19 release but it didn't got finished.
Then we changed the infrastructure, migrating to ccHost which didn't provide an
easy way to easily import the old images, so here are we now: 7000+ images in
the old system (the 0.18 and 0.19 release) and 6000+ new images in the current
interface (ccHost). There is a move to *slowly* import them by hand (one by one,
for 7000+ images...)

So back to your questions:

1.) 0.18 release is indeed old, but is the latest and there are no plans to do
another in the near future. AFAIK, there is no easy way to provide a package in
the current interface, but I will take the question to the mailing list.

2.) I agree about not providing PNGs, they are thumbnails with a small size
(128x128), so not really useful as stand alone images and Nautilus will display
the thumbnails for SVG. Maybe if we include some tools like TuxPaint and find a
way for them to use the PNG version of the clipart images... but I don't think
this is a priority.

3.) I am not sure about that. I guess integration with the gtk file dialog is a
good start. IIRC the 0.18 release has the files organized in a directory
structure based on keywords so it can be accessed easily.

4.) Tools:
- Inkscape is the primary user of those images, having a bookmark in the gtk
dialog would be good enough IMO. Note that the upcoming 0.46 provides a "Import
from OCAL" dialog *but*: it can access only the images from the new repository
(not the ones included in the 0.18 release), the dialog is awful (both as
interface and functionality) and it work only online;
- OpenOffice.org can't open natively open SVG files (there are plans to to so,
but I don't know about the targets, ask Caolan about that). There is a 3-rd
party plugin which can import SVG files, but it is not included in Fedora, is
written in Java and it used to not work with the free Java (I don't know about
IcedTead) - again, perhaps some imput from Caolan would be useful (I added him
in CC);
- GIMP can make use of those clipart images, I insert them with drag and drop
from Nautilus, but I believe a bookmark in the gtk open dialog would suffice
(and it would suffice for a lot of other gtk applications like glabels);
- it is not part of our default install, so not that important, but Scribus is
another great user of the clipart. Since it uses the qt framework, I am
personally *that* biased and have not used it in a long time (and have not it
installed) so I am not able to comment much about it (a bookmark in the KDE/qt
open dialog?).

-- Additional comment from nicubunu@gmail.com on 2008-02-20 04:23 EST --
As I said above, the Open Clip Art Library is not expected to make another
release in the foreseeable future.
The solution I found to provide recent images (those from the new site) is to
set up a script (run daily from cron) providing a snapshot of the existing clipart:

http://download.openclipart.org/downloads/daily_SVG_snapshot.tar.bz2

Notes:
- large size ~156MB, contains over 8000 SVG and SVGZ files, is updated daily;
- unlike the 0.18 release, it does not have a directory structure for
categories, the only structure is based on author name (and I don't know a
better solution, the website uses a database for tags/keywords);
- for now the large majority of those images are new, not found in the previous
release but over time (at a very slow rate, the operation is done manually) the
images from release 0.18 will be merged here.
Comment 1 Lubomir Kundrak 2008-02-20 12:41:42 EST
Nicu: No structure makes this unsuitable for inclusion now. Apart from that
there is no stable URL to refer to.

Honestly, I have no idea how do you categorize images. Can you enlighten me on
how does your infrastructure look like? Do you have a public VCS repository
where can the images be checked out from? And the metadata such as author,
description, copyright and category -- are they kept in the SVG file, or in a
separate place?
Comment 2 Nicu Buculei 2008-02-21 02:16:01 EST
I agree the structure is a mess, but there is nothing *I* can do about that, it
needs some serious server side programming. Anyway, the Archlinux packager
encouraged me to put this tarball as he intend to use it anyway.

What do you understand by "stable URL"? Would you like better a monthly tarball?
Images are added to the library every day, from tens to hundreds a day.

The infrastructure is using ccHost - http://wiki.creativecommons.org/CcHost , a
web application. We don't have any kind of VCS, AFAIK ccHost does not offer this
feature. The metadata is kept in ccHost's database.
The old website used to save the metadata also inside the SVG (nobody patched
yet support for this into ccHost and we migrated a couple of years ago with the
hope to add it "soon") but this is not useful for realtime work, searches and
such so we used in addition a directory structure, which is suboptimal: in
release 0.18 there are a lot of duplicates, images with multiple keywords kept
in suplicate directories corresponding to various keywords.
Comment 3 Bug Zapper 2008-05-14 01:17:56 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 19:35:58 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Christopher Grebs 2009-06-30 10:23:46 EDT
Is there any progress on including openclipart 0.19?
Comment 7 Bug Zapper 2009-11-16 03:01:37 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-11-04 08:02:22 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-12-05 02:13:32 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.